#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KF/KDE Stack.
#

%define rel 1

Summary:        KDE Frameworks 5 Tier 1 addon with various classes on top of QtCore
Name:           kcoreaddons
Version: 5.42.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

## upstream patches

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  kf5-macros
BuildRequires:  shared-mime-info >= 0.70
BuildRequires:  pkgconfig(gamin)

Requires:  shared-mime-info >= 0.70
Conflicts: %{_lib}kf5coreaddons5 < 5.12.0-3

%description
KCoreAddons provides classes built on top of QtCore to perform various tasks
such as manipulating mime types, autosaving files, creating backup files,
generating random sequences, performing text manipulations such as macro
replacement, accessing user information and many more.

%files -f kcoreaddons5_qt.lang
%_kf5_bindir/desktoptojson
%_kf5_datadir/mime/packages/kde5.xml
%_kf5_datadir/kf5/licenses

#--------------------------------------------------------------------

%define kf5coreaddons_major 5
%define libkf5coreaddons %mklibname kf5coreaddons %{kf5coreaddons_major}

%package -n %libkf5coreaddons
Summary:      KDE Frameworks 5 Tier 1 addon with various classes on top of QtCore
Group:        System/Libraries

%description -n %libkf5coreaddons
KCoreAddons provides classes built on top of QtCore to perform various tasks
such as manipulating mime types, autosaving files, creating backup files,
generating random sequences, performing text manipulations such as macro
replacement, accessing user information and many more.

%files -n %libkf5coreaddons
%_kf5_libdir/libKF5CoreAddons.so.%{kf5coreaddons_major}*

#--------------------------------------------------------------------

%define kcoreaddons_devel %mklibname kcoreaddons -d

%package -n %kcoreaddons_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version
Requires:       %libkf5coreaddons = %version-%release
Provides:       %name-devel = %{version}-%{release}

Requires:       pkgconfig(Qt5Core)

%description -n %kcoreaddons_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kcoreaddons_devel
%_kf5_includedir/KCoreAddons*
%_kf5_includedir/kcoreaddons_version.h
%_kf5_libdir/cmake/KF5CoreAddons
%_kf5_libdir/libKF5CoreAddons.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make

%install
%make_install -C build
%find_lang_kf5 kcoreaddons5_qt


%changelog
* Wed Jan 17 2018 neoclust <neoclust> 5.42.0-1.mga6
+ Revision: 1194119
- New version 5.42

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088953
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074524
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072185
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058344
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050521
- New version 5.26.0

* Wed Aug 17 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1046637
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041321
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021919
- New version 5.23.0

* Fri May 13 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014719
- New version 5.22.0

* Wed Apr 27 2016 daviddavid <daviddavid> 5.21.0-2.mga6
+ Revision: 1006900
- backport upstream fixes
  * KRandom::random seeds qrand, but returns value from rand (kde#362161)

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999626
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986318
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942238
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921272
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 912937
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909845
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900524
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899569
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898916
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888156
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881380
- New version 5.14.0

* Tue Aug 25 2015 pterjan <pterjan> 5.13.0-2.mga6
+ Revision: 869225
- Rebuild with gcc 5

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862941
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-3.mga6
+ Revision: 862771
- Add conflict to ease upgrade

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862697
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853786
- New version 5.12.0

* Tue Jun 23 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 841562
- New version 5.11.0

* Tue Dec 16 2014 neoclust <neoclust> 5.5.0-2.mga5
+ Revision: 803544
- Fix Requires

* Tue Dec 16 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803430
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 742112
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 680963
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660419
- New version 5.1.0

* Fri Jul 18 2014 neoclust <neoclust> 5.0.0-2.mga5
+ Revision: 653520
- Add require in devel package

* Tue Jul 08 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 650529
- New version 5.0.0

* Sun Jul 06 2014 neoclust <neoclust> 4.100.0-1.mga5
+ Revision: 645255
- New version 4.100.0
- New version 4.99.0

* Wed Apr 02 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611265
- New version 4.98.0

* Mon Mar 10 2014 neoclust <neoclust> 4.97.0-2.mga5
+ Revision: 601722
- Remove requires in lib package

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599685
- New version 4.97.0

* Sun Feb 16 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 593052
- New version 4.96.0

* Sun Feb 09 2014 neoclust <neoclust> 4.95.0-1.mga5
+ Revision: 587745
- imported package kcoreaddons

